### Class

# Phosh AudioDevice

#### Description [src]

    final class Phosh.AudioDevice : GObject.Object
    {
      /* No available fields */
    }

Audio device information stored in `PhoshAudioDevices`.

#### Ancestors

- GObject

#### Constructors

###### phosh_audio_device_new

No description available.

#### Instance methods

###### phosh_audio_device_get_description

No description available.

###### phosh_audio_device_get_id

No description available.

###### phosh_audio_device_set_active

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.AudioDevice:active

No description available.

###### Phosh.AudioDevice:description

No description available.

###### Phosh.AudioDevice:icon-name

No description available.

###### Phosh.AudioDevice:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshAudioDeviceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.